> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Private Settings

> List all private settings. Learn how this can be used in configuring your server in this <a href="https://docs.rocket.chat/docs/deployment-environment-variables" target="_blank">guide</a>.

## OpenAPI

````json GET /api/v1/settings
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Settings"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "paths": {
    "/api/v1/settings": {
      "parameters": [],
      "get": {
        "summary": "Get Private Settings",
        "operationId": "get-api-v1-settings",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "settings": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "_id": {
                            "type": "string"
                          },
                          "value": {
                            "oneOf": [
                              {
                                "type": "boolean"
                              },
                              {
                                "type": "string"
                              }
                            ]
                          }
                        }
                      }
                    },
                    "count": {
                      "type": "integer"
                    },
                    "offset": {
                      "type": "integer"
                    },
                    "total": {
                      "type": "integer"
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "settings": [
                        {
                          "_id": "API_Allow_Infinite_Count",
                          "value": "true"
                        },
                        {
                          "_id": "API_CORS_Origin",
                          "value": "*"
                        }
                      ],
                      "count": "50",
                      "offset": "0",
                      "total": "299",
                      "success": "true"
                    }
                  },
                  "success example with query parameter": {
                    "value": {
                      "settings": [
                        {
                          "_id": "API_Allow_Infinite_Count",
                          "value": "true",
                          "packageValue": "true",
                          "enterprise": "false"
                        },
                        {
                          "_id": "API_Apply_permission_view-outside-room_on_users-list",
                          "value": "false",
                          "packageValue": "false",
                          "enterprise": "false"
                        },
                        {
                          "_id": "API_CORS_Origin",
                          "value": "*",
                          "packageValue": "*",
                          "enterprise": "false"
                        }
                      ],
                      "count": "3",
                      "offset": "0",
                      "total": "10",
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        },
        "tags": [
          "Settings"
        ],
        "description": "List all private settings. Learn how this can be used in configuring your server in this <a href=\"https://docs.rocket.chat/docs/deployment-environment-variables\" target=\"_blank\">guide</a>.",
        "parameters": [
          {
            "$ref": "#/components/parameters/X-User-Id"
          },
          {
            "$ref": "#/components/parameters/X-Auth-Token"
          },
          {
            "schema": {
              "type": "boolean"
            },
            "in": "query",
            "name": "includeDefaults",
            "description": "When set to true, it fetches both the current value and the default value (packageValue) of the settings"
          },
          {
            "$ref": "#/components/parameters/offset"
          },
          {
            "$ref": "#/components/parameters/count"
          }
        ]
      }
    }
  },
  "components": {
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "X-User-Id": {
        "name": "X-User-Id",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "CkCPNctrgCDfmWLqC",
        "description": "The user ID."
      },
      "X-Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE",
        "description": "The authentication token."
      },
      "offset": {
        "name": "offset",
        "in": "query",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50",
        "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more."
      },
      "count": {
        "name": "count",
        "in": "query",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50",
        "description": "How many items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more."
      }
    }
  }
}
````

